Bug 108177 - Loading multiple packages is time consuming & very error prone
Summary: Loading multiple packages is time consuming & very error prone
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rafael H. Schloming
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-28 12:03 UTC by Daniel Berrange
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:44:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-28 12:03:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
When loading multiple packages it is very time consuming to not only run
'ccm-conf init [pkg]', 'ccm-pkg load [pkg]' for each one, but to figure out
which order they have to be run in to satisfy the dependencies. APLAWS has 37
packages to be loaded, this is nigh on impossible unless we can pull together
the processing of all apps into a 'bundle', such the the user doesn't have to
run 60-odd commands & figure out dependancies for 30-odd apps.

A bundle would be defined by creating a text file with one line for each app in
the bundle. eg:

  ccm-core
  ccm-cms
  ccm-forum
  ccm-cms-types-agenda
  ccm-cms-types-article
  ...and other 30+ apps...

The ConfigTool & PackageTool would then have an additional command line option
to specify the location of the 'bundle' text file instead of the package name.
The tools would then do a depenency sort on the entries in the bundle to figure
out the correct processing order, and then run the config init / package load
for each app as required. This would be equivalent to running

So instead of:

   ccm-conf init ccm-core
   ccm-conf init ccm-cms
   ccm-conf init ccm-forum
   ccm-conf init ccm-cms-types-agenda
   ccm-conf init ccm-cms-types-article
   ...and other 30+ apps...

The user would do

   ccm-conf init -bundle aplaws-full.txt

And instead of

   ccm-pkg load ccm-core
   ccm-pkg load ccm-cms
   ccm-pkg load ccm-forum
   ccm-pkg load ccm-cms-types-agenda
   ccm-pkg load ccm-cms-types-article
   ...and other 30+ apps...

The user would do
  
   ccm-pkg load -bundle aplaws-full.txt


NB, 'aplaws-full.txt' could be replaced with an alternative bundle definition
'aplaws-lite.txt' if the wanted a minimal set of APLAWS apps rather than the
complete set. THis idea would also seem pretty crucial for loading all the
applications with the portal server


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Try to initialize & load an APLAWS system just using the ccm-pkg and ccm-conf
tools
2.
3.
    

Additional info:

Comment 1 Daniel Berrange 2003-10-28 15:01:49 UTC
THis mail thread contains a quick & dirty hack of this functionality in perl,
but it isn't really suitable to ship, so we still need to deal with this ticket:

http://post-office.corp.redhat.com/archives/ccm-engineering-list/2003-October/msg00147.html


Comment 2 Daniel Berrange 2003-11-11 21:59:21 UTC
This ticket can't be considered 'QA Ready' until bug 109027 is
resolved, since the loading of multiple packages is *still* very error
prone thanks to the need to type in a 500+ character command line, or
run 35 individual commands (one per app to load).


Comment 3 David Lawrence 2006-07-18 03:31:14 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 4 Daniel Berrange 2006-09-02 17:44:02 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.